gavl_audio_samples_t Union Reference
Audio » Audio frame

Container for interleaved audio samples. More...

`#include <gavl.h>`

## Data Fields

uint8_t * | u_8
int8_t * | s_8
uint16_t * | u_16
int16_t * | s_16
uint32_t * | u_32
int32_t * | s_32
float * | f
double * | d

## Detailed Description

Container for interleaved audio samples.

## Field Documentation

## u_8

uint8_t* gavl_audio_samples_t::u_8

Unsigned 8 bit samples

## s_8

int8_t* gavl_audio_samples_t::s_8

Signed 8 bit samples

## u_16

uint16_t* gavl_audio_samples_t::u_16

Unsigned 16 bit samples

## s_16

int16_t* gavl_audio_samples_t::s_16

Signed 16 bit samples

## u_32

uint32_t* gavl_audio_samples_t::u_32

Unsigned 32 bit samples (used internally only)

## s_32

int32_t* gavl_audio_samples_t::s_32

Signed 32 bit samples

## f

float* gavl_audio_samples_t::f

Floating point samples

## d

double* gavl_audio_samples_t::d

Double samples

The documentation for this union was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_multimedia_gavl/gavl/work/gavl-1.4.0/include/gavl/gavl.h